> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an AI Inbox Manager

> Create a new AI Inbox Manager with its configuration and optional initial guidance, saved together. The agent is created active. Including guidance also requires the guidance creation scope.


Requires one of the following scopes: `ai_agents:create`, `ai_agents:all`, `all:create`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json post /api/v2/ai-agents/inbox-manager
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-group: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-group: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-group: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-group: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-group: Email
  - name: EmailVerification
    description: A single email verification
    x-group: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-group: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-group: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-group: Inbox Placement Analytics
  - name: InboxPlacementBlacklistAndSpamAssassinReport
    description: Report data for an inbox placement test
    x-group: Inbox Placement Blacklist And SpamAssassin Report
  - name: AIInboxManager
    description: An AI Inbox Manager agent
    x-group: AI Inbox Manager
  - name: AIDeliverabilityAgent
    description: An AI Deliverability Agent
    x-group: AI Deliverability Agent
  - name: AILeadFinderAgent
    description: An AI Lead Finder Agent
    x-group: AI Lead Finder Agent
  - name: APIKey
    description: API Key
    x-group: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-group: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-group: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-group: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-group: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-group: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-group: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-group: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-group: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-group: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-group: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-group: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-group: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-group: Audit Log
  - name: AISalesAgent
    description: >-
      An AI Sales Development Representative that autonomously manages outreach
      campaigns
    x-group: AI Sales Agent
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-group: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-group: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-group: DFY Email Account Order
  - name: DomainForwarding
    description: Web forwarding configuration for a domain ordered through Instantly
    x-group: Domain Forwarding
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-group: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-group: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-group: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-group: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-group: CRM Actions
  - name: EngageItem
    description: >-
      A unified Engage item representing a campaign, AI agent, automation
      workflow, broadcast, or journey.
    x-group: Engage Item
paths:
  /api/v2/ai-agents/inbox-manager:
    post:
      tags:
        - AIInboxManager
      summary: Create an AI Inbox Manager
      description: >-
        Create a new AI Inbox Manager with its configuration and optional
        initial guidance, saved together. The agent is created active. Including
        guidance also requires the guidance creation scope.



        Requires one of the following scopes: `ai_agents:create`,
        `ai_agents:all`, `all:create`, `all:all`
      operationId: createInboxManagerAgent
      requestBody:
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              required:
                - name
                - payload
              properties:
                guidances:
                  maxItems: 100
                  type: array
                  items:
                    anyOf:
                      - type: object
                        properties:
                          label:
                            type: string
                            minLength: 1
                            description: Short name of the saved guidance rule
                          category:
                            type: number
                            enum:
                              - 0
                          basic_guidance_options:
                            type: object
                            properties:
                              tone:
                                type: string
                                enum:
                                  - friendly
                                  - neutral
                                  - matter_of_fact
                                  - professional
                                  - humorous
                              length:
                                type: string
                                enum:
                                  - concise
                                  - standard
                                  - thorough
                            required:
                              - tone
                              - length
                            additionalProperties: false
                        required:
                          - label
                          - category
                          - basic_guidance_options
                        additionalProperties: false
                      - type: object
                        properties:
                          label:
                            type: string
                            minLength: 1
                            description: Short name of the saved guidance rule
                          category:
                            anyOf:
                              - type: number
                                enum:
                                  - 1
                              - type: number
                                enum:
                                  - 2
                              - type: number
                                enum:
                                  - 3
                              - type: number
                                enum:
                                  - 4
                          instruction:
                            type: string
                            minLength: 1
                            description: >-
                              Concrete instructions based on verified context
                              and user preferences
                        required:
                          - label
                          - category
                          - instruction
                        additionalProperties: false
                name:
                  type: string
                  minLength: 1
                  description: Name of the AI Inbox Manager
                  example: My Inbox Manager
                payload:
                  type: object
                  description: Configuration of the AI Inbox Manager
                  properties:
                    configuration_type:
                      type: number
                      enum:
                        - 1
                        - 2
                      description: Type of the AI agent configuration
                      example: 1
                    tags:
                      type: array
                      items:
                        oneOf:
                          - type: string
                            enum:
                              - default
                            examples:
                              - default
                            example: default
                          - type: string
                            format: uuid
                            examples:
                              - 01a1178d-205e-78a7-b3cf-afacacbb2f5b
                            example: 01a1178d-205e-78a7-b3cf-afacacbb2f5b
                      description: List of tags to use for AI Agent
                    handle_followup:
                      type: boolean
                      description: Whether to handle follow-up emails
                      example: true
                    respond_to_automatic_emails:
                      type: boolean
                      description: Whether to respond to automatic emails
                      example: true
                    handle_objections:
                      type: boolean
                      description: >-
                        Whether to handle objections, declines, or negative
                        replies
                      example: true
                    integrations:
                      type: object
                      additionalProperties: false
                      description: >-
                        Configurations for app integrations. Set an integration
                        to null to disconnect it.
                      properties:
                        slack:
                          type:
                            - object
                            - 'null'
                          additionalProperties: false
                          description: Slack notification settings
                          properties:
                            connection_id:
                              type: string
                              description: Slack app connection ID
                              examples:
                                - 0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e
                              example: 0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e
                            enabled:
                              type: boolean
                              description: Whether Slack notifications are enabled
                              examples:
                                - true
                              example: true
                            connection_name:
                              type: string
                              description: >-
                                Deprecated. Kept only so previously stored
                                values round-trip.
                              examples:
                                - My Connection
                              example: My Connection
                            channel_id:
                              type: string
                              description: >-
                                Deprecated. Kept only so previously stored
                                values round-trip.
                              examples:
                                - C0123456789
                              example: C0123456789
                            channel_name:
                              type: string
                              description: >-
                                Deprecated. Kept only so previously stored
                                values round-trip.
                              examples:
                                - '#notifications'
                              example: '#notifications'
                        calendly:
                          type:
                            - object
                            - 'null'
                          additionalProperties: false
                          description: Calendly scheduling settings
                          properties:
                            connection_id:
                              type: string
                              description: Calendly app connection ID
                              examples:
                                - 0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e
                              example: 0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e
                            calendar_uri:
                              type: string
                              description: URI of the Calendly event type to book
                              examples:
                                - https://api.calendly.com/event_types/abc
                              example: https://api.calendly.com/event_types/abc
                            calendar_name:
                              type: string
                              description: Display name of the Calendly event type
                              examples:
                                - Intro call
                              example: Intro call
                            disable_auto_booking:
                              type: boolean
                              description: >-
                                When true, the agent shares the scheduling link
                                instead of booking directly
                              examples:
                                - false
                              example: false
                            connection_name:
                              type:
                                - string
                                - 'null'
                              description: Display name of the Calendly connection
                              examples:
                                - My Calendly
                              example: My Calendly
                            scheduling_url:
                              type:
                                - string
                                - 'null'
                              description: Public scheduling URL of the selected event type
                              examples:
                                - https://calendly.com/acme/intro-call
                              example: https://calendly.com/acme/intro-call
                            custom_questions:
                              type:
                                - array
                                - 'null'
                              description: >-
                                Custom questions configured on the Calendly
                                event type
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    examples:
                                      - What is your company size?
                                    example: What is your company size?
                                  type:
                                    type: string
                                    examples:
                                      - string
                                    example: string
                                  required:
                                    type: boolean
                                    examples:
                                      - false
                                    example: false
                                  answer_choices:
                                    type: array
                                    items:
                                      type: string
                                      examples:
                                        - 1-10
                                      example: 1-10
                                  include_other:
                                    type: boolean
                                    examples:
                                      - false
                                    example: false
                                  enabled:
                                    type: boolean
                                    examples:
                                      - true
                                    example: true
                                  position:
                                    type: number
                                    examples:
                                      - 0
                                    example: 0
                      example:
                        slack:
                          connection_id: 0195b1a5-3b1d-7b6e-9c1a-2f7a4b0c1d2e
                          enabled: true
                    no_show:
                      type: object
                      description: No-show recovery feature configuration
                      properties:
                        enabled:
                          type: boolean
                          description: Enable no-show recovery mode
                          example: true
                        max_followups:
                          type: number
                          description: Maximum number of no-show follow-up emails (1-10)
                          minimum: 1
                          maximum: 10
                          example: 3
                        fallback_sending_accounts:
                          type: object
                          properties:
                            accounts:
                              type: array
                              items:
                                type: string
                                format: email
                                example: sender@example.com
                            tag_ids:
                              type: array
                              items:
                                type: string
                                example: 01a1178d-205e-78a7-b3cf-afae40d3ac02
                          example:
                            accounts: []
                            tag_ids: []
                      example:
                        enabled: true
                        max_followups: 3
                    trigger_on_labels_enabled:
                      type: boolean
                      description: >-
                        Whether to activate the agent only for specific interest
                        labels
                      example: false
                    trigger_on_labels:
                      type: array
                      items:
                        type: number
                        example: 1
                      description: Array of interest_status values to trigger the agent on
                      example:
                        - 1
                        - -1
                    trigger_on_labels_mode:
                      type: string
                      enum:
                        - include
                        - exclude
                      description: >-
                        Whether to include or exclude the selected labels.
                        Defaults to include.
                      example: include
                    monthly_credit_budget:
                      type:
                        - number
                        - 'null'
                      minimum: 1
                      description: >-
                        Monthly AI credit budget for this agent (null =
                        unlimited)
                      example: 1000
                    followup_business_days_only:
                      type: boolean
                      description: >-
                        Whether to send follow-up emails only on business days
                        (Mon-Fri)
                      example: true
                  additionalProperties: false
                  required:
                    - configuration_type
                description:
                  type: string
                  description: Optional description for the AI Inbox Manager
                  example: Handles replies for the EU campaigns
        required: true
      responses:
        '200':
          description: The created AI Inbox Manager
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIInboxManager'
        '400':
          description: >-
            The request is invalid (e.g. missing required fields, invalid field
            values, or an invalid state for the operation)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 400
                    examples:
                      - 400
                    example: 400
                  error:
                    type: string
                    enum:
                      - Bad Request
                    examples:
                      - Bad Request
                    example: Bad Request
                  message:
                    type: string
                    examples:
                      - body must have required property 'name'
                    example: body must have required property 'name'
                required:
                  - statusCode
                  - error
                  - message
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    examples:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    examples:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    examples:
                      - Missing Authorization header
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    examples:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    examples:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    examples:
                      - Workspace does not have an active paid plan
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '403':
          description: >-
            This request is forbidden (the API key scope or workspace plan does
            not allow this action)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 403
                    examples:
                      - 403
                    example: 403
                  error:
                    type: string
                    enum:
                      - Forbidden
                    examples:
                      - Forbidden
                    example: Forbidden
                  message:
                    type: string
                    examples:
                      - Forbidden
                    example: Forbidden
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    examples:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    examples:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    examples:
                      - Resource not found
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    examples:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    examples:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    examples:
                      - Rate limit exceeded
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    AIInboxManager:
      title: AI Inbox Manager
      description: An AI Inbox Manager agent
      x-tags:
        - Schemas
        - AIInboxManager
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the AI agent
          readOnly: true
          format: uuid
          example: 01a1178d-205e-78a7-b3cf-afb2da58fdd4
        organization_id:
          type: string
          description: Organization ID
          readOnly: true
          format: uuid
          example: 01a1178d-205e-78a7-b3cf-afb3298e4cb7
        name:
          type: string
          description: Name of the AI Agent
          example: Test AI Agent
        payload:
          type: object
          description: Reply agent (Inbox Manager) payload
          properties:
            configuration_type:
              type: number
              enum:
                - 1
                - 2
              description: Type of the AI agent configuration
              example: 1
            tags:
              type: array
              items:
                oneOf:
                  - type: string
                    enum:
                      - default
                    examples:
                      - default
                    example: default
                  - type: string
                    format: uuid
                    examples:
                      - 01a1178d-205e-78a7-b3cf-afacacbb2f5b
                    example: 01a1178d-205e-78a7-b3cf-afacacbb2f5b
              description: List of tags to use for AI Agent
            handle_followup:
              type: boolean
              description: Whether to handle follow-up emails
              example: true
            respond_to_automatic_emails:
              type: boolean
              description: Whether to respond to automatic emails
              example: true
            handle_objections:
              type: boolean
              description: Whether to handle objections, declines, or negative replies
              example: true
            integrations:
              type: object
              additionalProperties: true
              description: Configurations for app integrations
              example:
                slack:
                  connectionId: 01a1178d-205e-78a7-b3cf-afad842ef377
                  connectionName: My Connection
            no_show:
              type: object
              description: No-show recovery feature configuration
              properties:
                enabled:
                  type: boolean
                  description: Enable no-show recovery mode
                  example: true
                max_followups:
                  type: number
                  description: Maximum number of no-show follow-up emails (1-10)
                  minimum: 1
                  maximum: 10
                  example: 3
                fallback_sending_accounts:
                  type: object
                  properties:
                    accounts:
                      type: array
                      items:
                        type: string
                        format: email
                        example: sender@example.com
                    tag_ids:
                      type: array
                      items:
                        type: string
                        example: 01a1178d-205e-78a7-b3cf-afae40d3ac02
                  example:
                    accounts: []
                    tag_ids: []
              example:
                enabled: true
                max_followups: 3
            trigger_on_labels_enabled:
              type: boolean
              description: Whether to activate the agent only for specific interest labels
              example: false
            trigger_on_labels:
              type: array
              items:
                type: number
                example: 1
              description: Array of interest_status values to trigger the agent on
              example:
                - 1
                - -1
            trigger_on_labels_mode:
              type: string
              enum:
                - include
                - exclude
              description: >-
                Whether to include or exclude the selected labels. Defaults to
                include.
              example: include
            monthly_credit_budget:
              type:
                - 'null'
                - number
              minimum: 1
              description: Monthly AI credit budget for this agent (null = unlimited)
              example: 1000
            followup_business_days_only:
              type: boolean
              description: Whether to send follow-up emails only on business days (Mon-Fri)
              example: true
        type:
          type:
            - 'null'
            - number
          description: Type of the AI Agent
          enum:
            - 1
            - 2
            - 3
            - 4
            - 6
            - 7
            - 8
            - 9
            - 10
            - 11
          x-enumDescriptions:
            '1': Inbox Manager Agent
            '2': Sales Development Representative Agent
            '3': Deliverability Agent
            '4': Affiliate Agent
            '6': Lead Finder Agent
            '7': Recruiting Agent
            '8': Investment Agent
            '9': User Research Agent
            '10': Partnership Agent
            '11': Voice Agent
          example: 1
        timestamp_created:
          type: string
          description: Timestamp when the AI agent was created
          readOnly: true
          example: '2026-10-07T18:08:07.262Z'
        timestamp_updated:
          type: string
          description: Timestamp when the AI agent was updated
          readOnly: true
          example: '2026-10-07T18:08:07.262Z'
        status:
          type: number
          description: Status of the AI Agent
          enum:
            - -1
            - 0
            - 1
          x-enumDescriptions:
            '0': Inactive
            '1': Active
            '-1': Trial Expired
          example: 1
        is_auto_created:
          type:
            - 'null'
            - boolean
          description: Whether the AI agent was auto-created
          example: false
        created_by:
          type:
            - 'null'
            - string
          description: User ID who created the AI agent
          readOnly: true
          format: uuid
          example: 01a1178d-205e-78a7-b3cf-afb4e9859de3
        description:
          type:
            - 'null'
            - string
          description: Description of the AI agent
          readOnly: true
          example: Optional agent description
        metadata:
          type: object
          description: >-
            Included only when the `with_metadata` parameter is `true`. Contains
            additional information about the ai agent as tags.
          properties:
            tags:
              type: object
              description: The tags associated with the ai agent
              additionalProperties:
                type: object
                properties:
                  id:
                    type: string
                    examples:
                      - tag-id
                    example: tag-id
                  label:
                    type: string
                    examples:
                      - Tag Label
                    example: Tag Label
                required:
                  - id
                  - label
            integrations:
              type: object
              description: The integrations associated with the ai agent
              additionalProperties:
                type: object
                properties:
                  id:
                    type: string
                    examples:
                      - tag-id
                    example: tag-id
                  label:
                    type: string
                    examples:
                      - Tag Label
                    example: Tag Label
                  is_valid:
                    type: boolean
                    examples:
                      - true
                    example: true
                  error:
                    type:
                      - 'null'
                      - string
                    examples:
                      - ''
                    example: ''
                required:
                  - id
                  - label
                  - is_valid
          example:
            tags:
              tag-id:
                id: tag-id
                label: Tag Label
      required:
        - id
        - organization_id
        - name
        - payload
        - timestamp_created
        - timestamp_updated
        - status
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.